Jump to content
gusman126

nueva versión de Redsys soluciona error en 1.7.6.1

Recommended Posts

Hola a todos, parece que los de Redsys han solucionado el problema de guardar el estado del pedido en la versión 1.7.6.1 , NO lo he probado

En su pagina web indican que es la versión 3.0.2, pero realmente es la 3.0.4 modificada y diferente a la anterior versión 3.0.4

Solo recomiendo actualizar si se usa PS 1.7.6.1, obviamente no me hago responsable de los fallos y errores, para eso hablad con redsys

https://pagosonline.redsys.es/descargas.html

Gracias a @MKG20 por el aviso.

 

  • Thanks 1

Share this post


Link to post
Share on other sites

Muchas gracias por el aviso, seguro que a más de uno le viene de maravilla.

Reflexión: ¿Y no podrían hacer los de Redsys que apareciera como actualización disponible desde el panel de módulos? (bueno, si no se han actualizado ni en cambiar el número de versión, menos se van a molestar en eso)...

Edited by Prestafan33 (see edit history)

Share this post


Link to post
Share on other sites
hace 2 minutos, Prestafan33 dijo:

Muchas gracias por el aviso, seguro que a más de uno le viene de maravilla.

Reflexión: ¿Y no podrían hacer los de Redsys que apareciera como actualización disponible desde el panel de módulos? (bueno, si no se han actualizado ni en cambiar el número de versión, menos se van a molestar en eso)...

No sale que existe una actualización porque no esta en el sistema de Prestashop, solo los módulos que están en addons se muestra si existe una actualización.

No es facil añadir un modulo gratuito en addons de prestashop hay que ser Partner y alguna cosa mas.

Pero si que podrian poner una versión superior en el listado de su pagina, de esa manera se sabria que han actualizado a la 3.0.5 por ejemplo

 

 

Share this post


Link to post
Share on other sites

He probado la nueva versión del módulo en un Prestashop 1.7.6.1 y, al menos en mi caso, no me ha funcionado. Me deja introducir los datos de la tarjeta, pero luego muestra un mensaje de error diciendo que los datos enviados por el comercio no son correctos, y no realiza el pago.

No sé si es problema del módulo o de mi instalación. ¿Alguien más lo ha instalado y probado?

Share this post


Link to post
Share on other sites

Que extraño, comprueba si los datos de configuración los ha mantenido.

No lo he probado otros si, yo lo probaré estos días.

 

Share this post


Link to post
Share on other sites

Sí, los datos de configuración los mantuvo al instalar, pero aún así después eliminé el módulo por completo e instalé y configuré de nuevo la versión última, pero me sigue informando de que los datos enviados por el comercio no son correctos. Cuando tenga tiempo lo intentaré de nuevo, pero de momento no sé por qué no funciona.

Share this post


Link to post
Share on other sites
On 10/24/2019 at 9:05 AM, gusman126 said:

Que extraño, comprueba si los datos de configuración los ha mantenido.

No lo he probado otros si, yo lo probaré estos días.

 

¿Lo probaste al final, @gusman126?

Yo conseguí al final que funcionara la nueva versión del módulo en PS 1.7.6.1, eliminando por completo el módulo y reinstalando desde cero. Ha funcionado como una semana, y de repente ha dejado de generar pedidos. Es decir, permite realizar los pagos, pero no se genera el pedido. Hay que ir a los carritos, buscar el carrito con el importe correspondiente al pago realizado y convertirlo en pedido manualmente. Le he dado bastantes vueltas, he desinstalado de nuevo, vuelto a instalar, pero no he conseguido que vuelva a funcionar.

Share this post


Link to post
Share on other sites
hace 1 hora, Prestafan33 dijo:

¿Lo probaste al final, @gusman126?

Yo conseguí al final que funcionara la nueva versión del módulo en PS 1.7.6.1, eliminando por completo el módulo y reinstalando desde cero. Ha funcionado como una semana, y de repente ha dejado de generar pedidos. Es decir, permite realizar los pagos, pero no se genera el pedido. Hay que ir a los carritos, buscar el carrito con el importe correspondiente al pago realizado y convertirlo en pedido manualmente. Le he dado bastantes vueltas, he desinstalado de nuevo, vuelto a instalar, pero no he conseguido que vuelva a funcionar.

Si hice las pruebas y funciono correctamente

Lo que indicas no se a que puede ser debido , se que estos dias han estado dando problemas las llamadas desde redsys a las tiendas, pero no se si sera tu caso

Share this post


Link to post
Share on other sites
On 11/4/2019 at 8:23 PM, gusman126 said:

Si hice las pruebas y funciono correctamente

Lo que indicas no se a que puede ser debido , se que estos dias han estado dando problemas las llamadas desde redsys a las tiendas, pero no se si sera tu caso

Gracias por la respuesta, @gusman126

Realmente es muy extraño que haya funcionado correctamente durante varios días y de repente haya dejado de confirmar los pedidos, sin haber cambiado nada. He hablado varias veces con el SAT de los TPVs virtuales del banco y ellos se lavan las manos. Han activado y desactivado el envío de información adicional y han cambiado la respuesta de síncrona a asíncrona... sin ningún resultado. Y hasta ahí dicen que pueden hacer ellos.

También he probado a instalar la versión redsys 17 de aquí, con el mismo resultado.

He chequedao el certificado SSL tampoco parece tener ningún problema. Se me acaban las ideas. ¿Alguna sugerencia de los que habéis tratado más con este tipo de módulos?

 

Edited by Prestafan33 (see edit history)

Share this post


Link to post
Share on other sites

Me respondo a mí mismo:

Investigando sobre el tema, he llegado a este post antiguo, que me ha dado la solución:

El problema estaba en el servicio Cloudflare, que usa el sitio web en cuestión. Al parecer el cortafuegos de ese servicio estaba bloqueando la respuesta que se enviaba desde el servidor de Redsys, debido a la directiva "Browser integrity check". Ha sido desactivar esa opción y volver a funcionar correctamente.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More